diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/java/starter_type3font.java PDFlib-Lite-7.0.5/bind/pdflib/java/starter_type3font.java
--- PDFlib-Lite-7.0.4/bind/pdflib/java/starter_type3font.java	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/java/starter_type3font.java	2010-04-29 15:50:03.000000000 +0200
@@ -1,4 +1,4 @@
-/* $Id: starter_type3font.java,v 1.1.2.3 2008/03/10 18:43:48 rjs Exp $
+/* $Id: starter_type3font.java,v 1.1.2.4 2009/11/18 00:16:11 rjs Exp $
  * Type 3 font starter:
  * Create a simple Type 3 font from vector data
  *
@@ -48,11 +48,11 @@
         p.end_glyph();
         p.begin_glyph("space", 266, 0, 0, 0, 0);
         p.end_glyph();
-        p.begin_glyph("l", 266, 69, 0, 197, 530);
+        p.begin_glyph("l", 266, 0, 0, 266, 570);
         p.setlinewidth(20);
         p.setdash(0, 0);
         x = 197;
-        y = 0;
+        y = 10;
         p.moveto(x, y);
         y += 530;
         p.lineto(x, y);
@@ -63,7 +63,6 @@
         x += 128;
         p.lineto(x, y);
 
-        p.closepath();
         p.stroke();
         p.end_glyph();
 
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/perl/Makefile PDFlib-Lite-7.0.5/bind/pdflib/perl/Makefile
--- PDFlib-Lite-7.0.4/bind/pdflib/perl/Makefile	2009-06-08 17:57:34.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/perl/Makefile	2010-05-05 21:36:16.854346864 +0200
@@ -56,8 +56,8 @@
 
 install:: $(LIBNAME)
 	$(LIBTOOL) --mode=install \
-		$(INSTALL_DATA) $(LIBNAME) $(LANG_LIBDIR)
-	$(INSTALL_DATA) pdflib_pl.pm $(LANG_LIBDIR)
+		$(INSTALL_DATA) $(LIBNAME) $(DESTDIR)$(LANG_LIBDIR)
+	$(INSTALL_DATA) pdflib_pl.pm $(DESTDIR)$(LANG_LIBDIR)
 
 uninstall::
 	$(LIBTOOL) --mode=uninstall \
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/perl/Makefile.orig PDFlib-Lite-7.0.5/bind/pdflib/perl/Makefile.orig
--- PDFlib-Lite-7.0.4/bind/pdflib/perl/Makefile.orig	1970-01-01 01:00:00.000000000 +0100
+++ PDFlib-Lite-7.0.5/bind/pdflib/perl/Makefile.orig	2010-04-29 15:50:11.000000000 +0200
@@ -0,0 +1,111 @@
+# Makefile for PDFlib's Perl binding
+# $Id: Makefile,v 1.48.2.11 2008/02/20 22:06:41 rjs Exp $
+
+top_builddir	= ../../..
+
+CP	= cp
+include ../../../config/mkcommon.inc
+
+DEPLIBS		= $(PDFLIBLINK)
+LIBS		= $(DEPLIBS)
+INCLUDES	= $(PDFLIBINC) $(PERLBOOLDEF) $(PERLINCLUDE)
+# special CFLAGS, as -ansi is not working here.
+PDFPEDANTIC	=
+
+PERLBIN		= $(PERL) -I. -I.libs
+LANG_LIBDIR 	= $(DESTDIR)$(PERLLIBDIR)
+BINDEXTERNALLIBS= $(PERLLINK)
+
+_LIBNAME	= pdflib_pl
+LIBNAME		= pdflib_pl$(DLL)
+OBJ		= pdflib_pl$(LO)
+SRC		= pdflib_pl.c
+
+include ../../../config/mkbind.inc
+
+test:: all
+	-$(PERLBIN) hello.pl
+	-$(PERLBIN) image.pl
+	-$(PERLBIN) pdfclock.pl
+	-$(PERLBIN) chartab.pl
+	-$(PERLBIN) invoice.pl
+	-$(PERLBIN) businesscard.pl
+	-$(PERLBIN) quickreference.pl
+	-$(PERLBIN) starter_basic.pl
+	-$(PERLBIN) starter_block.pl
+	-$(PERLBIN) starter_pcos.pl >starter_pcos.txt
+	-$(PERLBIN) starter_pdfa.pl
+	-$(PERLBIN) starter_pdfmerge.pl
+	-$(PERLBIN) starter_pdfx.pl
+	-$(PERLBIN) starter_table.pl
+	-$(PERLBIN) starter_tagged.pl
+	-$(PERLBIN) starter_textflow.pl
+	-$(PERLBIN) starter_webform.pl
+	-$(PERLBIN) starter_3d.pl
+	-$(PERLBIN) starter_layer.pl
+	-$(PERLBIN) starter_pvf.pl
+	-$(PERLBIN) starter_type3font.pl
+	-$(PERLBIN) starter_color.pl
+	-$(PERLBIN) starter_textline.pl
+	-$(PERLBIN) starter_image.pl
+	-$(PERLBIN) starter_graphics.pl
+
+
+pdfcheck:
+	../../../progs/pdi/pdfcheck -i ../java/starter.ref -o -
+
+install:: $(LIBNAME)
+	$(LIBTOOL) --mode=install \
+		$(INSTALL_DATA) $(LIBNAME) $(LANG_LIBDIR)
+	$(INSTALL_DATA) pdflib_pl.pm $(LANG_LIBDIR)
+
+uninstall::
+	$(LIBTOOL) --mode=uninstall \
+		$(RM) $(LANG_LIBDIR)/$(LIBNAME) $(LANG_LIBDIR)/pdflib_pl.pm
+
+atstest: test
+	$(CP) businesscard.pdf		results/busicard.pdf
+	$(CP) chartab.pdf		results/chartab.pdf
+	$(CP) hello.pdf			results/hello.pdf
+	$(CP) image.pdf			results/image.pdf
+	$(CP) invoice.pdf		results/invoice.pdf
+	$(CP) pdfclock.pdf		results/pdfclock.pdf
+	$(CP) quickreference.pdf	results/quickref.pdf
+	$(CP) starter_basic.pdf		results/basic.pdf
+	$(CP) starter_block.pdf		results/block.pdf
+	$(CP) starter_pdfa.pdf		results/pdfa.pdf
+	$(CP) starter_pdfmerge.pdf	results/pdfmerge.pdf
+	$(CP) starter_pdfx.pdf		results/pdfx.pdf
+	$(CP) starter_table.pdf		results/table.pdf
+	$(CP) starter_tagged.pdf	results/tagged.pdf
+	$(CP) starter_textflow.pdf	results/textflow.pdf
+	$(CP) starter_webform.pdf	results/webform.pdf
+	$(CP) starter_3d.pdf		results/3d.pdf
+	$(CP) starter_layer.pdf		results/layer.pdf
+	$(CP) starter_pvf.pdf		results/pvf.pdf
+	$(CP) starter_type3font.pdf	results/type3font.pdf
+	$(CP) starter_color.pdf		results/color.pdf
+	$(CP) starter_textline.pdf	results/textline.pdf
+	$(CP) starter_image.pdf		results/image.pdf
+	$(CP) starter_graphics.pdf	results/graphics.pdf
+	$(CP) starter_pcos.txt		results/pcos.txt
+
+ats:
+	../../../intern/progs/ats/ats -t ../c/testtab.txt
+
+clean::
+	$(RM) hello.pdf image.pdf pdfclock.pdf chartab.pdf invoice.pdf
+	$(RM) businesscard.pdf quickreference.pdf
+	$(RM) starter_basic.pdf	starter_pdfa.pdf
+	$(RM) starter_pdfmerge.pdf starter_pdfx.pdf starter_table.pdf
+	$(RM) starter_tagged.pdf starter_textflow.pdf 
+	$(RM) starter_webform.pdf starter_block.pdf starter_pcos.txt
+	$(RM) starter_layer.pdf starter_pvf.pdf starter_type3font.pdf
+	$(RM) starter_graphics.pdf starter_color.pdf starter_textline.pdf
+	$(RM) starter_3d.pdf starter_image.pdf
+	$(RM) perl56 perl58 perlAS56 perlAS58 results
+
+distclean::
+
+
+# Automatically generated dependencies
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/perl/pdflib_pl.c PDFlib-Lite-7.0.5/bind/pdflib/perl/pdflib_pl.c
--- PDFlib-Lite-7.0.4/bind/pdflib/perl/pdflib_pl.c	2009-06-08 17:57:34.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/perl/pdflib_pl.c	2010-04-29 15:50:11.000000000 +0200
@@ -10,7 +10,7 @@
  |                                                                           |
  *---------------------------------------------------------------------------*/
 
-/* $Id: pdflib_pl.c,v 1.52.2.5 2009/01/16 15:37:56 rjs Exp $
+/* $Id: pdflib_pl.c,v 1.52.2.6 2010/03/31 21:38:00 rjs Exp $
  *
  * Wrapper code for the PDFlib Perl binding
  *
@@ -362,14 +362,13 @@
 #ifdef __cplusplus
 extern "C"
 #endif
-#if 0
+
 #ifndef PERL_OBJECT
 /* If we don't use the XS macro it doesn't work with all Perl configurations */
 SWIGEXPORT(/* */, XS(boot_pdflib_pl));
 #else
 SWIGEXPORT(void,boot_pdflib_pl)(CV *cv, CPerlObj *pPerl);
 #endif
-#endif
 
 #include <setjmp.h>
 
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/perl/starter_type3font.pl PDFlib-Lite-7.0.5/bind/pdflib/perl/starter_type3font.pl
--- PDFlib-Lite-7.0.4/bind/pdflib/perl/starter_type3font.pl	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/perl/starter_type3font.pl	2010-04-29 15:50:03.000000000 +0200
@@ -1,5 +1,5 @@
 #!/usr/bin/perl
-# $Id: starter_type3font.pl,v 1.1.2.4 2008/12/25 13:28:41 rp Exp $
+# $Id: starter_type3font.pl,v 1.1.2.5 2009/11/18 00:16:12 rjs Exp $
 # Type 3 font starter:
 # Create a simple Type 3 font from vector data
 #
@@ -38,7 +38,7 @@
     }
 
     PDF_set_info($p, "Creator", "PDFlib Cookbook");
-    $buf = $title . '  $Revision: 1.1.2.4 $';
+    $buf = $title . '  $Revision: 1.1.2.5 $';
     PDF_set_info($p, "Title", $buf);
 
     # Create the font "SimpleFont" containing the glyph "l",
@@ -51,11 +51,11 @@
     PDF_end_glyph($p);
     PDF_begin_glyph($p, "space", 266, 0, 0, 0, 0);
     PDF_end_glyph($p);
-    PDF_begin_glyph($p, "l", 266, 69, 0, 197, 530);
+    PDF_begin_glyph($p, "l", 266, 0, 0, 266, 570);
     PDF_setlinewidth($p, 20);
     PDF_setdash($p, 0, 0);
     $x = 197;
-    $y = 0;
+    $y = 10;
     PDF_moveto($p, $x, $y);
     $y += 530;
     PDF_lineto($p, $x, $y);
@@ -66,7 +66,6 @@
     $x += 128;
     PDF_lineto($p, $x, $y);
 
-    PDF_closepath($p);
     PDF_stroke($p);
     PDF_end_glyph($p);
 
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/php/examples.php5/starter_3d.php PDFlib-Lite-7.0.5/bind/pdflib/php/examples.php5/starter_3d.php
--- PDFlib-Lite-7.0.4/bind/pdflib/php/examples.php5/starter_3d.php	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/php/examples.php5/starter_3d.php	2010-04-29 15:50:03.000000000 +0200
@@ -1,5 +1,5 @@
 <?php
-/* $Id: starter_3d.php,v 1.1.2.1 2008/02/22 15:50:41 rjs Exp $
+/* $Id: starter_3d.php,v 1.1.2.2 2009/08/07 07:30:46 rjs Exp $
  * 3D Starter:
  * Create a 3D model and load it into a U3D annotation.
  *
@@ -77,6 +77,8 @@
     $p->end_document("");
 
     $p->delete();
+
+    print "$outfile generated";
 }
 catch (PDFlibException $e) {
     die("PDFlib exception occurred in invoice sample:\n" .
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/php/examples.php5/starter_basic.php PDFlib-Lite-7.0.5/bind/pdflib/php/examples.php5/starter_basic.php
--- PDFlib-Lite-7.0.4/bind/pdflib/php/examples.php5/starter_basic.php	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/php/examples.php5/starter_basic.php	2010-04-29 15:50:03.000000000 +0200
@@ -1,5 +1,5 @@
 <?php
-/* $Id: starter_basic.php,v 1.1.2.1 2007/09/27 12:58:00 rjs Exp $
+/* $Id: starter_basic.php,v 1.1.2.2 2009/08/07 07:30:46 rjs Exp $
  *
  * Basic starter:
  * Create some simple text, vector graphics and image output
@@ -9,7 +9,7 @@
  */
 
 /* This is where the data files are. Adjust as necessary. */
-$searchpath = "../../data/";
+$searchpath = "../data/";
 $imagefile = "nesrin.jpg";
 $outfilename = "starter_basic.pdf";
 
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/php/examples.php5/starter_block.php PDFlib-Lite-7.0.5/bind/pdflib/php/examples.php5/starter_block.php
--- PDFlib-Lite-7.0.4/bind/pdflib/php/examples.php5/starter_block.php	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/php/examples.php5/starter_block.php	2010-04-29 15:50:03.000000000 +0200
@@ -1,5 +1,5 @@
-<?
-/* $Id: starter_block.php,v 1.1.2.2 2008/05/09 10:11:54 rjs Exp $
+<?php
+/* $Id: starter_block.php,v 1.1.2.3 2009/08/07 07:30:46 rjs Exp $
  *
  * Block starter:
  * Import a PDF page containing, and process all blocks. The blocks are
@@ -13,7 +13,7 @@
  */
 
 /* This is where the data files are. Adjust as necessary. */
-$searchpath = "../../data";
+$searchpath = "../data";
 $infile = "boilerplate.pdf";
 $outfilename = "starter_block.pdf";
 
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/php/examples.php5/starter_pcos.php PDFlib-Lite-7.0.5/bind/pdflib/php/examples.php5/starter_pcos.php
--- PDFlib-Lite-7.0.4/bind/pdflib/php/examples.php5/starter_pcos.php	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/php/examples.php5/starter_pcos.php	2010-04-29 15:50:03.000000000 +0200
@@ -1,5 +1,5 @@
 <?php
-/* $Id: starter_pcos.php,v 1.1.2.1 2007/09/27 12:58:00 rjs Exp $
+/* $Id: starter_pcos.php,v 1.1.2.2 2009/08/07 07:30:46 rjs Exp $
  *
  * pCOS starter:
  * Dump information from an existing PDF document
@@ -9,7 +9,7 @@
  */
 
 /* This is where the data files are. Adjust as necessary. */
-$searchpath = "../../data";
+$searchpath = "../data";
 $pdfinput = "TET-datasheet.pdf";
 $docoptlist = "requiredmode=minimum";
 
@@ -36,6 +36,7 @@
 
     $pcosmode = $p->pcos_get_number($doc, "pcosmode");
 
+    printf("<PRE>");
     printf("   File name: %s\n",
 	$p->pcos_get_string($doc,"filename"));
 
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/php/examples.php5/starter_pdfa.php PDFlib-Lite-7.0.5/bind/pdflib/php/examples.php5/starter_pdfa.php
--- PDFlib-Lite-7.0.4/bind/pdflib/php/examples.php5/starter_pdfa.php	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/php/examples.php5/starter_pdfa.php	2010-04-29 15:50:03.000000000 +0200
@@ -1,5 +1,5 @@
 <?php
-/* $Id: starter_pdfa.php,v 1.1.2.1 2007/09/27 12:58:00 rjs Exp $
+/* $Id: starter_pdfa.php,v 1.1.2.2 2009/08/07 07:30:46 rjs Exp $
  *
  * PDF/A starter:
  * Create PDF/A-compliant output
@@ -9,7 +9,7 @@
  */
 
 /* This is where the data files are. Adjust as necessary. */
-$searchpath = "../../data";
+$searchpath = "../data";
 $imagefile = "nesrin.jpg";
 $outfilename = "starter_pdfa.pdf";
 
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/php/examples.php5/starter_pdfmerge.php PDFlib-Lite-7.0.5/bind/pdflib/php/examples.php5/starter_pdfmerge.php
--- PDFlib-Lite-7.0.4/bind/pdflib/php/examples.php5/starter_pdfmerge.php	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/php/examples.php5/starter_pdfmerge.php	2010-04-29 15:50:03.000000000 +0200
@@ -1,5 +1,5 @@
 <?php
-/* $Id: starter_pdfmerge.php,v 1.1.2.1 2007/09/27 12:58:00 rjs Exp $
+/* $Id: starter_pdfmerge.php,v 1.1.2.2 2009/08/07 07:30:46 rjs Exp $
  *
  * PDF merge starter:
  * Merge pages from multiple PDF documents; interactive elements (e.g. 
@@ -10,7 +10,7 @@
  */
 
 /* This is where the data files are. Adjust as necessary. */
-$searchpath = "../../data";
+$searchpath = "../data";
 $outfilename = "starter_pdfmerge.pdf";
 
 $pdffiles = array(
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/php/examples.php5/starter_pdfx.php PDFlib-Lite-7.0.5/bind/pdflib/php/examples.php5/starter_pdfx.php
--- PDFlib-Lite-7.0.4/bind/pdflib/php/examples.php5/starter_pdfx.php	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/php/examples.php5/starter_pdfx.php	2010-04-29 15:50:03.000000000 +0200
@@ -1,5 +1,5 @@
 <?php
-/* $Id: starter_pdfx.php,v 1.1.2.1 2007/09/27 12:58:00 rjs Exp $
+/* $Id: starter_pdfx.php,v 1.1.2.2 2009/08/07 07:30:46 rjs Exp $
  *
  * PDF/X starter:
  * Create PDF/X-compliant output
@@ -10,7 +10,7 @@
  */
 
 /* This is where the data files are. Adjust as necessary.*/
-$searchpath = "../../data";
+$searchpath = "../data";
 $imagefile = "nesrin.jpg";
 $outfilename = "starter_pdfx.pdf";
 
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/php/examples.php5/starter_table.php PDFlib-Lite-7.0.5/bind/pdflib/php/examples.php5/starter_table.php
--- PDFlib-Lite-7.0.4/bind/pdflib/php/examples.php5/starter_table.php	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/php/examples.php5/starter_table.php	2010-04-29 15:50:03.000000000 +0200
@@ -1,5 +1,5 @@
 <?php
-/* $Id: starter_table.php,v 1.1.2.1 2007/09/27 12:58:00 rjs Exp $
+/* $Id: starter_table.php,v 1.1.2.2 2009/08/07 07:30:46 rjs Exp $
  *
  * Table starter:
  * Create table which may span multiple pages
@@ -9,7 +9,7 @@
  */
 
 /* This is where the data files are. Adjust as necessary. */
-$searchpath = "../../data";
+$searchpath = "../data";
 $imagefile = "nesrin.jpg";
 $outfilename = "starter_table.pdf";
 
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/php/examples.php5/starter_tagged.php PDFlib-Lite-7.0.5/bind/pdflib/php/examples.php5/starter_tagged.php
--- PDFlib-Lite-7.0.4/bind/pdflib/php/examples.php5/starter_tagged.php	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/php/examples.php5/starter_tagged.php	2010-04-29 15:50:03.000000000 +0200
@@ -1,5 +1,5 @@
 <?php
-/* $Id: starter_tagged.php,v 1.1.2.1 2007/09/27 12:58:00 rjs Exp $
+/* $Id: starter_tagged.php,v 1.1.2.2 2009/08/07 07:30:46 rjs Exp $
  *
  * Tagged PDF starter:
  * Create document with structure information for reflow and accessibility
@@ -9,7 +9,7 @@
  */
 
 /* This is where the data files are. Adjust as necessary. */
-$searchpath = "../../data";
+$searchpath = "../data";
 $outfilename = "starter_tagged.pdf";
 
 try {
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/php/ext/pdf/php430pdf.dsp PDFlib-Lite-7.0.5/bind/pdflib/php/ext/pdf/php430pdf.dsp
--- PDFlib-Lite-7.0.4/bind/pdflib/php/ext/pdf/php430pdf.dsp	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/php/ext/pdf/php430pdf.dsp	2010-04-29 15:50:03.000000000 +0200
@@ -44,7 +44,7 @@
 # PROP Ignore_Export_Lib 0
 # PROP Target_Dir ""
 # ADD BASE CPP /nologo /MT /W3 /GX /O2 /I "..\.." /I "..\..\..\Zend" /I "..\..\..\TSRM" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "COMPILE_DL_PDF" /D ZTS=1 /YX /FD /c
-# ADD CPP /nologo /MD /W3 /GX /O2 /I "..\.." /I "..\..\main" /I "..\..\Zend" /I "..\..\TSRM" /I "..\..\..\..\pdflib-7.0.4p4\libs\pdflib" /D ZEND_DEBUG=0 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "PDF_EXPORTS" /D "COMPILE_DL_PDF" /D "ZEND_WIN32" /D "PHP_WIN32" /D HAVE_PDFLIB=1 /D ZTS=1 /YX /FD /c
+# ADD CPP /nologo /MD /W3 /GX /O2 /I "..\.." /I "..\..\main" /I "..\..\Zend" /I "..\..\TSRM" /I "..\..\..\..\pdflib-7.0.5\libs\pdflib" /D ZEND_DEBUG=0 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "PDF_EXPORTS" /D "COMPILE_DL_PDF" /D "ZEND_WIN32" /D "PHP_WIN32" /D HAVE_PDFLIB=1 /D ZTS=1 /YX /FD /c
 # ADD BASE MTL /nologo /D "NDEBUG" /mktyplib203 /win32
 # ADD MTL /nologo /D "NDEBUG" /mktyplib203 /win32
 # ADD BASE RSC /l 0x406 /d "NDEBUG"
@@ -54,7 +54,7 @@
 # ADD BSC32 /nologo
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib php4ts.lib /nologo /dll /machine:I386
-# ADD LINK32 php4ts.lib pdflib.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /dll /machine:I386 /out:"..\..\Release_TS/libpdf_php.dll" /libpath:"..\..\Release_TS" /libpath:"..\..\Release_TS_Inline" /libpath:"..\..\..\..\pdflib-7.0.4p4\libs\pdflib\Release_MD" /libpath:"..\..\..\..\pdflib-7.0.4p4\libs\pdflib\Release_mtDLL"
+# ADD LINK32 php4ts.lib pdflib.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /dll /machine:I386 /out:"..\..\Release_TS/libpdf_php.dll" /libpath:"..\..\Release_TS" /libpath:"..\..\Release_TS_Inline" /libpath:"..\..\..\..\pdflib-7.0.5\libs\pdflib\Release_MD_VS6"
 # SUBTRACT LINK32 /pdb:none
 
 !ELSEIF  "$(CFG)" == "php430pdf - Win32 Debug_TS"
@@ -72,7 +72,7 @@
 # PROP Ignore_Export_Lib 0
 # PROP Target_Dir ""
 # ADD BASE CPP /nologo /MT /W3 /GX /O2 /I "..\.." /I "..\..\Zend" /I "..\..\TSRM" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "COMPILE_DL_PDF" /D ZTS=1 /YX /FD /c
-# ADD CPP /nologo /MDd /W3 /GX /ZI /Od /I "..\.." /I "..\..\main" /I "..\..\Zend" /I "..\..\TSRM" /I "..\..\..\..\pdflib-7.0.4p4\libs\pdflib" /D ZEND_DEBUG=1 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "PDF_EXPORTS" /D "COMPILE_DL_PDF" /D ZTS=1 /D "ZEND_WIN32" /D "PHP_WIN32" /D HAVE_PDFLIB=1 /FR /YX /FD /c
+# ADD CPP /nologo /MDd /W3 /GX /ZI /Od /I "..\.." /I "..\..\main" /I "..\..\Zend" /I "..\..\TSRM" /I "..\..\..\..\pdflib-7.0.5\libs\pdflib" /D ZEND_DEBUG=1 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "PDF_EXPORTS" /D "COMPILE_DL_PDF" /D ZTS=1 /D "ZEND_WIN32" /D "PHP_WIN32" /D HAVE_PDFLIB=1 /FR /YX /FD /c
 # ADD BASE MTL /nologo /D "NDEBUG" /mktyplib203 /win32
 # ADD MTL /nologo /D "NDEBUG" /mktyplib203 /win32
 # ADD BASE RSC /l 0x406 /d "NDEBUG"
@@ -82,7 +82,7 @@
 # ADD BSC32 /nologo
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib php4ts_debug.lib /nologo /dll /machine:I386
-# ADD LINK32 php4ts_debug.lib pdflib.lib zlib.lib libpng.lib libtiff.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /dll /debug /machine:I386 /out:"..\..\Debug_TS/libpdf_php.dll" /libpath:"..\..\Debug_TS" /libpath:"..\..\..\..\pdflib-7.0.4p4\libs\pdflib\Release_MD" /libpath:"..\..\..\..\pdflib-7.0.4p4\libs\pdflib\Release_mtDLL"
+# ADD LINK32 php4ts_debug.lib pdflib.lib zlib.lib libpng.lib libtiff.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /dll /debug /machine:I386 /out:"..\..\Debug_TS/libpdf_php.dll" /libpath:"..\..\Debug_TS" /libpath:"..\..\..\..\pdflib-7.0.5\libs\pdflib\Release_MD_VS6"
 
 !ENDIF
 
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/php/starter_type3font.php PDFlib-Lite-7.0.5/bind/pdflib/php/starter_type3font.php
--- PDFlib-Lite-7.0.4/bind/pdflib/php/starter_type3font.php	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/php/starter_type3font.php	2010-04-29 15:50:03.000000000 +0200
@@ -1,5 +1,5 @@
 <?php
-# $Id: starter_type3font.php,v 1.1.2.1 2007/12/29 23:26:05 rjs Exp $
+# $Id: starter_type3font.php,v 1.1.2.2 2009/11/18 00:16:12 rjs Exp $
 # Type 3 font starter:
 # Create a simple Type 3 font from vector data
 #
@@ -28,7 +28,7 @@
     }
 
     PDF_set_info($p, "Creator", "PDFlib Cookbook");
-    $buf = $title . '  $Revision: 1.1.2.1 $';
+    $buf = $title . '  $Revision: 1.1.2.2 $';
     PDF_set_info($p, "Title", $buf);
 
     # Create the font "SimpleFont" containing the glyph "l",
@@ -41,11 +41,11 @@
     PDF_end_glyph($p);
     PDF_begin_glyph($p, "space", 266, 0, 0, 0, 0);
     PDF_end_glyph($p);
-    PDF_begin_glyph($p, "l", 266, 69, 0, 197, 530);
+    PDF_begin_glyph($p, "l", 266, 0, 0, 266, 570);
     PDF_setlinewidth($p, 20);
     PDF_setdash($p, 0, 0);
     $x = 197;
-    $y = 0;
+    $y = 10;
     PDF_moveto($p, $x, $y);
     $y += 530;
     PDF_lineto($p, $x, $y);
@@ -56,7 +56,6 @@
     $x += 128;
     PDF_lineto($p, $x, $y);
 
-    PDF_closepath($p);
     PDF_stroke($p);
     PDF_end_glyph($p);
 
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/python/Makefile PDFlib-Lite-7.0.5/bind/pdflib/python/Makefile
--- PDFlib-Lite-7.0.4/bind/pdflib/python/Makefile	2009-06-08 17:57:34.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/python/Makefile	2010-05-05 21:36:16.854346864 +0200
@@ -57,10 +57,10 @@
 
 install:: $(LIBNAME)
 	@-if test -f libpdflib_py.dylib; then		\
-	    $(INSTALL_DATA) .libs/pdflib_py.so $(LANG_LIBDIR);	\
+	    $(INSTALL_DATA) .libs/pdflib_py.so $(DESTDIR)$(LANG_LIBDIR);	\
 	else							\
 	    $(LIBTOOL) --mode=install $(INSTALL_DATA) 		\
-		$(LIBNAME) $(LANG_LIBDIR);			\
+		$(LIBNAME) $(DESTDIR)$(LANG_LIBDIR);			\
 	fi
 
 uninstall::
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/python/starter_type3font.py PDFlib-Lite-7.0.5/bind/pdflib/python/starter_type3font.py
--- PDFlib-Lite-7.0.4/bind/pdflib/python/starter_type3font.py	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/python/starter_type3font.py	2010-04-29 15:50:03.000000000 +0200
@@ -46,11 +46,11 @@
     PDF_end_glyph(p)
     PDF_begin_glyph(p, "space", 266, 0, 0, 0, 0)
     PDF_end_glyph(p)
-    PDF_begin_glyph(p, "l", 266, 69, 0, 197, 530)
+    PDF_begin_glyph(p, "l", 266, 0, 0, 266, 570)
     PDF_setlinewidth(p, 20)
     PDF_setdash(p, 0, 0)
     x = 197
-    y = 0
+    y = 10
     PDF_moveto(p, x, y)
     y += 530
     PDF_lineto(p, x, y)
@@ -61,7 +61,6 @@
     x += 128
     PDF_lineto(p, x, y)
 
-    PDF_closepath(p)
     PDF_stroke(p)
     PDF_end_glyph(p)
 
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/ruby/Makefile.production PDFlib-Lite-7.0.5/bind/pdflib/ruby/Makefile.production
--- PDFlib-Lite-7.0.4/bind/pdflib/ruby/Makefile.production	1970-01-01 01:00:00.000000000 +0100
+++ PDFlib-Lite-7.0.5/bind/pdflib/ruby/Makefile.production	2010-04-29 15:50:03.000000000 +0200
@@ -0,0 +1,63 @@
+# $Id: Makefile.production,v 1.1.2.2 2009/11/02 22:31:52 rjs Exp $
+
+# Build binding for different ruby versions
+# this needs the different ruby versions to be installed on know
+# places.
+#
+# used for production builds only.
+
+top_builddir	= ../../..
+
+include ../../../config/mkcommon.inc
+
+
+###############################################################################
+#
+# we know, on our "supported" systems, the python binary is installed allways
+# at the same places, and if not we ensure this with symbolic links (or just
+# a copy of the binary).
+#
+# all other paths are created by asking python where things are.
+#
+# supported Versions:
+#
+# ruby-1.8:	/usr/local/ruby-1.8/bin/ruby
+# ruby-1.9:	/usr/local/ruby-1.9/bin/ruby
+
+PYTHONVERS="ruby18 ruby19"
+
+
+###############################################################################
+
+
+all::	
+	@echo "please specify which version(s) you would like to build";
+	@echo "possibly available: $(PYTHONVERS)";
+
+# Ruby 1.8
+ruby18:	 .dummy
+	perl mkrbdso.pl --rbvers="1.8"
+
+# Ruby 1.9
+ruby19:	 .dummy
+	perl mkrbdso.pl --rbvers="1.9"
+
+
+clean::
+	-$(RM) *.$(OBJ) *.lo *.la $(PROGS) *.bak .libs *.pdf *.la build \
+		ruby18 ruby19
+
+distclean:: clean
+	-$(RM) m.out ms.out
+
+ctags::
+
+install::
+
+uninstall::
+
+.PHONY: clean
+
+.NOTPARALLEL:
+
+.dummy:
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/ruby/mkrbdso.pl PDFlib-Lite-7.0.5/bind/pdflib/ruby/mkrbdso.pl
--- PDFlib-Lite-7.0.4/bind/pdflib/ruby/mkrbdso.pl	1970-01-01 01:00:00.000000000 +0100
+++ PDFlib-Lite-7.0.5/bind/pdflib/ruby/mkrbdso.pl	2010-04-29 15:50:03.000000000 +0200
@@ -0,0 +1,100 @@
+#!/usr/bin/perl
+# $Id: mkrbdso.pl,v 1.1.2.5 2009/11/05 15:49:00 rjs Exp $
+#
+# mkrbdso.pl: create a PDFlib-DSO for ruby versions
+#
+# what do we do here:
+#
+# - cleanup old stuff
+# - compile the *.c file
+# - compile the DSO
+# - cp the DSO to the right place
+
+
+use Config;
+use strict;
+use Getopt::Long;
+use Cwd;
+use File::Copy;
+
+my $debug = 0;
+my $verbose = 0;
+my $rbvers;
+my $ruby;
+my $rubydir;
+my $OPSYS=`perl ../../../dist/tools/sysinfo.pl`; chomp $OPSYS;
+my $LOG_FILE;
+
+GetOptions (
+"rbvers=s"	=> \$rbvers,	# 18, 19
+"verbose!"      => \$verbose,
+"debug!"        => \$debug,
+) || die "$0: fatal error\n";
+
+$LOG_FILE = cwd() . "/mkruby$rbvers.log";
+
+sub my_system {
+    my $ret = 0;
+    open(README, "@_ |") or die "cannot execute $!\n";
+    open(LOG, ">> $LOG_FILE");
+
+    print LOG "@_\n";
+    print "@_\n" if ($verbose || $debug);
+    while(<README>) {
+        print LOG $_;
+        print $_ if ($debug);
+    }
+    $ret = close(README);
+    $ret = 0 if ($! == 0);
+    print "RET= -$ret- -$!- -$?-\n" if ($debug);
+    close(LOG);
+    return $ret;
+}
+
+sub mycopy {
+    my ($from, $to) = @_;
+    open(LOG, ">> $LOG_FILE");
+    print LOG "cp $from $to\n" if ($verbose);
+    copy($from, $to) || die "copy of $from failed: $!\n";
+    close(LOG);
+}
+
+
+if ($OPSYS =~ m/^MSWin/) {
+    print "building pdflib-ruby WIN-binding for ruby Version: $rbvers\n";
+    $ruby =  "C:/Programme/ruby-$rbvers/bin/ruby";
+} else {
+    print "building pdflib-ruby binding for Ruby Version: $rbvers\n";
+
+    $ruby =  "/usr/local/ruby-$rbvers/bin/ruby";
+    if (!-f $ruby) {
+        print "$ruby not installed; skipping $rbvers !!!!!!!!!!!!!!!!!!!\n";
+        exit(0);
+    }
+}
+
+$rubydir = "ruby$rbvers";
+$rubydir =~ s/\.//;
+
+# cleanup
+my_system("rm -rf $rubydir");
+
+# setup fresh builddir
+mkdir "$rubydir";
+mycopy("extconf.rb", "$rubydir");
+mycopy("pdflib_ruby.c", "$rubydir");
+mycopy("rb_wrapped.c", "$rubydir");
+
+chdir "$rubydir";
+
+my_system("$ruby extconf.rb --with-opt-include=../../../../libs/pdflib") &&
+        die("rubyconf failed?");
+my_system("make") && die("make failed");
+
+# test the new binding
+mycopy("../hello.rb", ".");
+my_system("$ruby hello.rb") && die("ruby hello.rb failed\n");
+system("ls -l hello.pdf") && die("hello.pdf not found\n");
+
+system("mv $LOG_FILE .");
+system("echo \"*** PDFlib-ruby Binding $rbvers succesfully built ***\n\"");
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/ruby/pdflib_ruby.c PDFlib-Lite-7.0.5/bind/pdflib/ruby/pdflib_ruby.c
--- PDFlib-Lite-7.0.4/bind/pdflib/ruby/pdflib_ruby.c	2009-06-08 17:57:34.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/ruby/pdflib_ruby.c	2010-04-29 15:50:11.000000000 +0200
@@ -10,7 +10,7 @@
  |                                                                           |
  *---------------------------------------------------------------------------*/
 
-/* $Id: pdflib_ruby.c,v 1.10.2.5 2008/09/16 14:31:07 rjs Exp $
+/* $Id: pdflib_ruby.c,v 1.10.2.6 2009/10/29 20:30:04 rjs Exp $
  *
  * Wrapper code for the PDFlib Ruby binding
  *
@@ -38,7 +38,11 @@
   }
 
 #define CHAR(x)	StringValuePtr(x)
-#define LEN(x)	RSTRING(StringValue(x))->len
+#if  defined(RSTRING_LEN)
+#define LEN(x)	RSTRING_LEN(x)
+#else
+#define LEN(x) RSTRING(StringValue(x))->len
+#endif
 
 static VALUE
 exception_get_apiname(VALUE exc)
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/ruby/starter_type3font.rb PDFlib-Lite-7.0.5/bind/pdflib/ruby/starter_type3font.rb
--- PDFlib-Lite-7.0.4/bind/pdflib/ruby/starter_type3font.rb	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/ruby/starter_type3font.rb	2010-04-29 15:50:03.000000000 +0200
@@ -1,5 +1,5 @@
 #!/usr/bin/env ruby
-# $Id: starter_type3font.rb,v 1.1.2.2 2008/02/28 14:49:59 rjs Exp $
+# $Id: starter_type3font.rb,v 1.1.2.3 2009/11/18 00:16:13 rjs Exp $
 # Type 3 font starter:
 # Create a simple Type 3 font from vector data
 #
@@ -30,7 +30,7 @@
     end
 
 	p.set_info("Creator", "PDFlib Cookbook")
-	p.set_info("Title", title + " $Revision: 1.1.2.2 $")
+	p.set_info("Title", title + " $Revision: 1.1.2.3 $")
 
 	# Create the font "SimpleFont" containing the glyph "l",
 	# the glyph "space" for spaces and the glyph ".notdef" for any
@@ -41,11 +41,11 @@
 	p.end_glyph()
 	p.begin_glyph("space", 266, 0, 0, 0, 0)
 	p.end_glyph()
-	p.begin_glyph("l", 266, 69, 0, 197, 530)
+	p.begin_glyph("l", 266, 0, 0, 266, 570)
 	p.setlinewidth(20)
 	p.setdash(0, 0)
 	x = 197
-	y = 0
+	y = 10
 	p.moveto(x, y)
 	y += 530
 	p.lineto(x, y)
@@ -56,7 +56,6 @@
 	x += 128
 	p.lineto(x, y)
 
-	p.closepath()
 	p.stroke()
 	p.end_glyph()
 
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/tcl/Makefile PDFlib-Lite-7.0.5/bind/pdflib/tcl/Makefile
--- PDFlib-Lite-7.0.4/bind/pdflib/tcl/Makefile	2009-06-08 17:57:34.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/tcl/Makefile	2010-05-05 21:36:16.854346864 +0200
@@ -1,9 +1,9 @@
 # Makefile for PDFlib's Tcl binding
-# $Id: Makefile,v 1.41.2.15 2008/02/22 23:45:34 rjs Exp $
+# $Id: Makefile,v 1.41.2.16 2009/10/23 09:41:42 rjs Exp $
 
 top_builddir	= ../../..
 
-TARGET=Release_MD
+TARGET=Release_MD_VS6
 
 include ../../../config/mkcommon.inc
 
@@ -57,16 +57,16 @@
 	../../../progs/pdi/pdfcheck -i ../java/starter.ref -o -
 
 install:: $(LIBNAME)
-	if test ! -d $(LANG_LIBDIR) ; then 	\
-	    mkdir -p $(LANG_LIBDIR);		\
-	    chmod 755 $(LANG_LIBDIR);		\
+	if test ! -d $(DESTDIR)$(LANG_LIBDIR) ; then 	\
+	    mkdir -p $(DESTDIR)$(LANG_LIBDIR);		\
+	    chmod 755 $(DESTDIR)$(LANG_LIBDIR);		\
 	fi
-	$(INSTALL_DATA) pkgIndex.tcl $(LANG_LIBDIR)
+	$(INSTALL_DATA) pkgIndex.tcl $(DESTDIR)$(LANG_LIBDIR)
 	@-if test -f .libs/libpdflib_tcl.dylib; then			\
-	    $(INSTALL_DATA) .libs/pdflib_tcl.dylib $(LANG_LIBDIR);	\
+	    $(INSTALL_DATA) .libs/pdflib_tcl.dylib $(DESTDIR)$(LANG_LIBDIR);	\
 	else								\
 	    $(LIBTOOL) --mode=install $(INSTALL_DATA)			\
-		$(LIBNAME) $(LANG_LIBDIR);				\
+		$(LIBNAME) $(DESTDIR)$(LANG_LIBDIR);				\
 	fi
 
 uninstall::
